%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 3.4.0
%define release	1mdk

%define realname TCLink
%define modname tclink
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 49_%{modname}.ini

Summary:	%{realname} enables credit card processing via the TrustCommerce payment gateway
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pecl.php.net/package/TCLink
License:	LGPL
Source0:	%{realname}-%{rversion}.tar.bz2
Requires:	php%{libversion}
BuildRequires:  openssl-devel
BuildRequires:	tclink-devel >= 3.4
BuildRequires:	php%{libversion}-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
This package provides a module for using TCLink directly from PHP scripts.
TCLink is a thin client library to allow your e-commerce servers to connect
to the TrustCommerce payment gateway.

%prep

%setup -q -n %{realname}-%{rversion}

%build

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix} \
    --with-ssl=%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php.d
install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

%{__cat} > README.%{modname} <<EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README README.%{modname} docs/*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_3.4.0-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_3.4.0-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_3.4.0-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_3.4.0-1mdk
- initial cooker contrib (broken out from the tclink package)
